<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shout_log', function (Blueprint $table) {
            $table->dateTime('time')->nullable()->useCurrent()->index('time_idx');
            $table->tinyInteger('channel')->nullable();
            $table->tinyInteger('empire')->nullable();
            $table->string('shout', 350)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shout_log');
    }
};
